<!--
    Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)
    
    SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { request } from '@/lib/request';
import { inject, ref } from 'vue';
import { useRoute } from 'vue-router';

const route = useRoute();
let configuration = inject<any>('configuration');
const backgroundColor = ref('#ffffff');
const type = ref('');
const getPaneStyle = async () => {
    if (route.redirectedFrom) {
        const url = configuration.apiServer + `/api/boarddata/${route.redirectedFrom?.params.id}`;
        const result = await request('GET', url);
        backgroundColor.value = result.data.style.backgroundColor ?? '#ffffff';
        type.value = result.data.type ?? '';
    }
}
getPaneStyle();
</script>
<template>
    <div class="h-screen w-screen" :style="{ backgroundColor: backgroundColor }">
        <div class="flex flex-row justify-center">
            <img src="@/assets/schedule.svg" v-if="type === 'schedule'" class="max-h-screen absolute opacity-50"><img>
            <img src="@/assets/freeform.svg" v-if="type === 'freeform'" class="max-h-screen absolute opacity-50"><img>
            <img src="@/assets/timeline.svg" v-if="type === 'timeline'" class="max-h-screen absolute opacity-50"><img>
        </div>
        <div class="absolute inset-0 bg-white/10 backdrop-blur z-0"></div>
        <div class="absolute inset-0 opacity-40 bg-gray-500"></div>
        <slot></slot>
    </div>
</template>